Skip to main content
`Ctrl`+`K`

# pandas.DataFrame.pad

DataFrame.pad(*, axis=None, inplace=False, limit=None, downcast=<no_default>)

  Fill NA/NaN values by propagating the last valid observation to next valid.

  Deprecated since version 2.0: Series/DataFrame.pad is deprecated. Use Series/DataFrame.ffill instead.

  Returns:
    Series/DataFrame or None

      Object with missing values filled or None if `inplace=True`.

  Examples

  Please see examples for `DataFrame.ffill()` or `Series.ffill()`.